Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLImageMapper Class Reference

`#include <vtkOpenGLImageMapper.h>`

Inheritance diagram for vtkOpenGLImageMapper:

[legend]
Collaboration diagram for vtkOpenGLImageMapper:

[legend]
List of all members.

## Detailed Description

2D image display support for OpenGL

Date:
  2002/08/22 18:39:31

Revision:
  1.19

vtkOpenGLImageMapper is a concrete subclass of vtkImageMapper that renders images under OpenGL

See also:
  vtkImageMapper

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Gobbi, David (43%)
  - Martin, Ken (37%)
  - Biddiscombe, John (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkOpenGLImageMapper.cxx)`
  - .`h` (`/Rendering/vtkOpenGLImageMapper.h)`

Definition at line 49 of file vtkOpenGLImageMapper.h.

## Public Types
typedef vtkImageMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | RenderOverlay (vtkViewport *viewport, vtkActor2D *actor)
void | RenderData (vtkViewport *viewport, vtkImageData *data, vtkActor2D *actor)
## Static Public Methods
vtkOpenGLImageMapper * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLImageMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLImageMapper ()
| ~vtkOpenGLImageMapper ()

## Member Typedef Documentation

typedef vtkImageMapper vtkOpenGLImageMapper::Superclass

| Reimplemented from vtkImageMapper. Definition at line 53 of file vtkOpenGLImageMapper.h.

## Constructor & Destructor Documentation

vtkOpenGLImageMapper::vtkOpenGLImageMapper | ( |  | ) | `[protected]`

vtkOpenGLImageMapper::~vtkOpenGLImageMapper | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOpenGLImageMapper* vtkOpenGLImageMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageMapper.

virtual const char* vtkOpenGLImageMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMapper.

int vtkOpenGLImageMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapper.

virtual int vtkOpenGLImageMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapper.

vtkOpenGLImageMapper* vtkOpenGLImageMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMapper.

virtual void vtkOpenGLImageMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageMapper.

void vtkOpenGLImageMapper::RenderOverlay | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) | `[inline, virtual]`

| Handle the render method. Reimplemented from vtkMapper2D. Definition at line 58 of file vtkOpenGLImageMapper.h. References vtkImageMapper::RenderStart().

void vtkOpenGLImageMapper::RenderData | ( | vtkViewport * | viewport,
|  | vtkImageData * | data,
|  | vtkActor2D * | actor
| ) | `[virtual]`

| Called by the Render function in vtkImageMapper. Actually draws the image to the screen. Implements vtkImageMapper.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLImageMapper.h